#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			mvers	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	exiv2
Version		:	0.27.3
Release		:	14.4.0.0%{?dist}
Summary		:	Exif and Iptc metadata manipulation library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
			
URL		:	https://www.exiv2.org/builds/
			#http://ftp.osuosl.org/pub/blfs/svn/e/

Source0		:	%{name}-%{version}-Source.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	expat-devel
BuildRequires	:	gcc-c++
BuildRequires	:	gettext
BuildRequires	:	pkg-config
BuildRequires	:	zlib-devel

Requires	:	%{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description
A command line utility to access image metadata, allowing one to:
* print the Exif metadata of Jpeg images as summary info, interpreted values,
  or the plain data for each tag
* print the Iptc metadata of Jpeg images
* print the Jpeg comment of Jpeg images
* set, add and delete Exif and Iptc metadata of Jpeg images
* adjust the Exif timestamp (that's how it all started...)
* rename Exif image files according to the Exif timestamp
* extract, insert and delete Exif metadata (including thumbnails),
  Iptc metadata and Jpeg comments
 

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%license COPYING
%doc doc/ChangeLog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		devel

Summary		:	Header files, libraries and development documentation for %{name}

#-----------------------------------------------------------------------------
BuildRequires	:	pkg-config

Requires	:	%{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/config.h
%{_includedir}/%{name}/exiv2lib_export.h
%{_includedir}/%{name}/exv_conf.h
%{_includedir}/%{name}/*.hpp
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-xmp.a
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/%{name}*.cmake

#=============================================================================
%package		libs

Summary		:	Exif and Iptc metadata manipulation library

#-----------------------------------------------------------------------------

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		libs
A C++ library to access image metadata, supporting full read and write access
to the Exif and Iptc metadata, Exif MakerNote support, extract and delete
methods for Exif thumbnails, classes to access Ifd and so on.
 
#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.*

%postun			libs
/usr/sbin/ldconfig

%post			libs
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q -n %{name}-%{version}-Source

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

cmake 							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_DOCDIR="%{_pkgdocdir}"		\
	-D CMAKE_BUILD_TYPE=Release			\
	-D EXIV2_ENABLE_VIDEO=yes			\
	-D EXIV2_ENABLE_WEBREADY=yes			\
	-D EXIV2_ENABLE_CURL=yes			\
	-D EXIV2_ENABLE_DOC:BOOL=ON			\
	-D EXIV2_ENABLE_NLS:BOOL=ON			\
	-D EXIV2_BUILD_SAMPLES=no   			\
	-G "Unix Makefiles"				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build
%{__make}						\
	DESTDIR=%{buildroot}				\
	install
popd 

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name} --with-man


#-----------------------------------------------------------------------------
%changelog
